python-plplot-qt_5.13.0+dfsg-6ubuntu2_i386.deb


Advertisement

Description

python-plplot-qt - Scientific plotting library (Python 2 Qt GUI)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-plplot-qt_5.13.0+dfsg-6ubuntu2_i386.deb
Package name python-plplot-qt
Package version 5.13.0+dfsg
Package release 6ubuntu2
Package architecture i386
Package type deb
Category universe/python
Homepage http://www.plplot.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 27.96 KB
Installed size 242.00 KB
PLplot is relatively small, portable, freely distributable, and is rich
enough to satisfy most users.  It has a wide range of plot types including
line (linear, log), contour, 3D, fill, and almost 1000 characters
(including Greek and mathematical) in its extended font set.  The package
is designed to make it easy to quickly get graphical output; only a
handful of function calls is typically required.  For more advanced use,
virtually all aspects of plotting are configurable.
This package provides Python 2 bindings to allow use of the PLplot API in
qt applications.

Alternatives

Package Version Architecture Repository
python-plplot-qt_5.13.0+dfsg-6ubuntu2_amd64.deb 5.13.0+dfsg amd64 Ubuntu Universe
python-plplot-qt - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libplplotqt2 -
libpython2.7 >= 2.7
libqt5core5a >= 5.9.0~beta
libqt5widgets5 >= 5.0.2
libstdc++6 >= 4.1.1
plplot-driver-qt = 5.13.0+dfsg-6ubuntu2
python3-plplot = 5.13.0+dfsg-6ubuntu2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-plplot-qt_5.13.0+dfsg-6ubuntu2_i386.deb
Source Package plplot

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-plplot-qt deb package:
    # sudo apt-get install python-plplot-qt

Files

Path
/usr/lib/python2.7/dist-packages/plplot_pyqt5_2.7.so
/usr/share/doc/python-plplot-qt/changelog.Debian.gz
/usr/share/doc/python-plplot-qt/copyright

Changelog

2017-11-02 - Dimitri John Ledkov <xnox@ubuntu.com>
plplot (5.13.0+dfsg-6ubuntu2) bionic; urgency=high
* No change rebuild.
2017-11-01 - Dimitri John Ledkov <xnox@ubuntu.com>
plplot (5.13.0+dfsg-6ubuntu1) bionic; urgency=high
* Build with -O2, to avoid segfault on ppc64el.
2017-10-05 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-6) unstable; urgency=medium
* Convert remaining symlinks (Closes: #875911)
* Push Standards-Version to 4.1.1. No changes required.
2017-09-26 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-5) unstable; urgency=medium
* Convert old symlink to directory in libplplot-dev
2017-09-25 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-4) unstable; urgency=medium
* Install all packages for CI test (still fails, however)
* Fix version number in maintscript.
* Move plserver program to plplot-tcl-bin package and /usr/bin
2017-09-24 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-3) unstable; urgency=medium
* Add CMake plplot config files to libplplot-dev
* Disable ocaml tests on MIPS completely
2017-09-23 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-2) unstable; urgency=medium
* Adjust Multi-Arch according to hinter
* Fix symlink->directory change command in installer scripts
* Fix ocaml dependencies
* Completely disable x22ocaml test. (Closes: #876485)
* Fix python libraries for different python versions
2017-09-22 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-1) unstable; urgency=low
* Finally make all occaml test failures non-fatal
* Switch back to unstable
2017-09-21 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-1~exp3) experimental; urgency=low
* Disable more failing ocaml tests: x16ocaml, x22ocaml
2017-09-20 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-1~exp2) experimental; urgency=low
* Fix CI test subdir name
* Merge patches from Ubuntu
* Convert symlinks from old packages to directories on upgrade
(Closes: #875913)
* Disable failing test x09ocaml

See Also

Package Description
python-plplot_5.13.0+dfsg-6ubuntu2_i386.deb Python 2 support for PLplot, a plotting library
python-pluggy_0.6.0-1_all.deb plugin and hook calling mechanisms for Python - 2.7
python-pluginbase_0.5-1_all.deb Support library for building plugins systems (Python 2)
python-plumbum_1.6.5-1_all.deb library for writing shell script-like programs in Python 2
python-plwm_2.6a+20080530-2_all.deb Pointless Window Manager - Python libraries for creating Window Managers
python-pmock_0.3.1+s20140625-3_all.deb Python module for unit testing using mock objects
python-pmw-doc_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-pmw_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-png_0.0.18+ds-2_all.deb Pure Python PNG Reader/Writer (Python 2)
python-pocket-lint_0.5.31-0ubuntu2_all.deb composite linter and style checker
python-pocketsphinx_0.8.0+real5prealpha-1ubuntu2_i386.deb Speech recognition tool - python bindings
python-podcastparser-doc_0.6.2-1_all.deb Simplified, fast RSS parsing library (common documentation)
python-podcastparser_0.6.2-1_all.deb Simplified, fast RSS parsing library (Python 2)
python-polib_1.1.0-3_all.deb Python library to parse and manage gettext catalogs
python-polled-camera_1.11.11-3_all.deb Robot OS polled_camera package - Python
Advertisement
Advertisement